'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getPlaygroundHtml;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _resolveFrom = require('resolve-from');

var _userWebpackConfig = require('./user-webpack-config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getPlaygroundHtml(cosmosConfig) {
  var rootPath = cosmosConfig.rootPath;


  var html = _fs2.default.readFileSync(_path2.default.join(__dirname, 'static/index.html'), 'utf8');
  var opts = {
    loaderUri: './loader/index.html',
    projectKey: rootPath,
    webpackConfigType: (0, _userWebpackConfig.hasUserCustomWebpackConfig)(cosmosConfig) ? 'custom' : 'default',
    deps: getDeps(cosmosConfig)
  };

  return html.replace('__PLAYGROUND_OPTS__', JSON.stringify(opts));
}

function getDeps(_ref) {
  var rootPath = _ref.rootPath;

  // We use knowledge of installed dependencies, collected on the server side,
  // to guide user onboarding in the Cosmos UI
  return {
    'html-webpack-plugin': hasDep(rootPath, 'html-webpack-plugin')
  };
}

function hasDep(rootPath, depName) {
  return Boolean((0, _resolveFrom.silent)(rootPath, depName));
}